import request from '@/utils/request'

// 查询点检任务明细列表
export function listTaskItem(query) {
	return request({
		url: '/tpm/check/taskItem/list',
		method: 'get',
		params: query
	})
}

// 查询点检任务明细详细
export function getTaskItem(id) {
	return request({
		url: '/tpm/check/taskItem/' + id,
		method: 'get'
	})
}

// 新增点检任务明细
export function addTaskItem(data) {
	return request({
		url: '/tpm/check/taskItem',
		method: 'post',
		data: data
	})
}

// 修改点检任务明细
export function updateTaskItem(data) {
	return request({
		url: '/tpm/check/taskItem',
		method: 'put',
		data: data
	})
}

// 删除点检任务明细
export function delTaskItem(id) {
	return request({
		url: '/tpm/check/taskItem/' + id,
		method: 'delete'
	})
}

// 完成任务明细
export function finishCheckTaskItem(ids) {
	return request({
		url: '/tpm/check/taskItem/finish',
		method: 'post',
		data: ids
	})
}

// 完成任务明细项
export function finishCheckTaskItemDetail(ids) {
	return request({
		url: '/tpm/check/taskItem/finishDetail',
		method: 'post',
		data: ids
	})
}

// 报修任务明细项
export function repairCheckTaskItemDetail(ids) {
	return request({
		url: '/tpm/check/taskItem/repairDetail',
		method: 'post',
		data: ids
	})
}

// 修改点检计划明细，不带明细项
export function tpmCheckTaskEditemOnly(data) {
	return request({
		url: '/tpm/check/taskItem/editItemOnly',
		method: 'put',
		data: data
	})
}

// 查询人员编码
export function listEmployee(query) {
  return request({
    url: '/basic/employee/list',
    method: 'get',
    params: query
  })
}